Results 1 to 9 of 9

Thread: [SOLVED] ZDesktop Fails during on install on Ubuntu 9.04

Hybrid View

  1. #1
    Join Date
    Aug 2009
    Posts
    35
    Rep Power
    6

    Default [SOLVED] ZDesktop Fails during on install on Ubuntu 9.04

    Hello,
    I'm trying to install ZDesktop on Ubuntu 9.04. I was able to install and run ZDesktop on Ubuntu 8.10 without any problems.

    harlan:~/download/zimbra$ ./zdesktop_1_0_2_build_1652_linux_i686.sh
    Unpacking JRE ...
    Preparing JRE ...
    ./zdesktop_1_0_2_build_1652_linux_i686.sh: 251: bin/unpack200: not found
    Error unpacking jar files. Aborting.
    You might need administrative priviledges for this operation.

    I've even tried running this as root, getting the same error. Please let me know what other information you need.

    Thanks,

    Harlan...

  2. #2
    Join Date
    Aug 2008
    Posts
    830
    Rep Power
    8

    Default

    is this a 64-bit linux?


    Quote Originally Posted by harlanb View Post
    Hello,
    I'm trying to install ZDesktop on Ubuntu 9.04. I was able to install and run ZDesktop on Ubuntu 8.10 without any problems.

    harlan:~/download/zimbra$ ./zdesktop_1_0_2_build_1652_linux_i686.sh
    Unpacking JRE ...
    Preparing JRE ...
    ./zdesktop_1_0_2_build_1652_linux_i686.sh: 251: bin/unpack200: not found
    Error unpacking jar files. Aborting.
    You might need administrative priviledges for this operation.

    I've even tried running this as root, getting the same error. Please let me know what other information you need.

    Thanks,

    Harlan...

  3. #3
    Join Date
    Aug 2009
    Posts
    35
    Rep Power
    6

    Default

    Yes, it is. My previous install on Ubuntu 8.04 was also a 64-bit installation, and that worked just fine.

  4. #4
    Join Date
    Aug 2008
    Posts
    830
    Rep Power
    8

    Default

    if you search for unpack200 on this forum, you will see a few similar issues, but not exact.

    i have a feeling that you have missing system library files. some says installing adobe acrobat plugin for firefox may help...

    Quote Originally Posted by harlanb View Post
    Yes, it is. My previous install on Ubuntu 8.04 was also a 64-bit installation, and that worked just fine.

  5. #5
    Join Date
    Aug 2009
    Posts
    35
    Rep Power
    6

    Default

    Acrobat wouldn't install either. Found this, which worked:

    sudo aptitude install ia32-libs

    Thanks for your help!

  6. #6
    Join Date
    Jun 2008
    Posts
    48
    Rep Power
    7

    Default also have install problem on 64bit Jaunty

    I've tried to install zimbra desktop on Ubuntu 9.04 (Jaunty) and tried to install the ia32-libs, but aptitude and apt-get say they can't find a package called ia32-libs.

    My repositories include universe. Is there another repository I should be adding, beyond the usual?

    The install basically stops when initializing the core service, and hangs there. The system monitor shows the desktop as sleeping.

    The log file (zdesktop.log) doesn't show anything.

    On another system, my laptop - which is also 64bit, I can't install graphically. And, when I install using the -c parameter at the CLI, it also hangs at the point of starting the service.

    Any advice on this would be appreciated.

    Mark
    Last edited by phantom21; 09-09-2009 at 12:50 PM.

  7. #7
    Join Date
    Aug 2009
    Posts
    35
    Rep Power
    6

    Default

    Hi Mark,
    This is what I get when I search ia32:

    $ aptitude search ia32
    p ia32-apt-get - Apt-get and dpkg wrapper for on-the-fly ia32-libs conversio
    p ia32-archive - Create a local archive of converted i386 debs for amd64 and
    i ia32-libs - ia32 shared libraries for use on amd64 and ia64 systems
    v ia32-libs-gtk -
    v ia32-libs-sdl -
    p ia32-libs-tools - Tools for converting i386 debs for amd64 and ia64
    p ia32-sun-java5-bin - Sun Java(TM) Runtime Environment (JRE) 5.0 (32-bit)
    p ia32-sun-java6-bin - Sun Java(TM) Runtime Environment (JRE) 6 (32-bit)

    I'm running a 64-bit system. If you are running a 32-bit system, you will not find the ia32-libs, as they are not needed. The ia32 libraries are only needed on 64-bit systems for 32-bit compatibility.

    If you are running a 32-bit system, I would say this is a different problem and would suggest opening a new thread with the exact errors you are getting.

    I have a graphical system, so I'm not going to be able to help with the CLI issue.

    Harlan...

  8. #8
    Join Date
    Jun 2008
    Posts
    48
    Rep Power
    7

    Default

    Thanks for the quick reply.

    I am running on 64bit systems, which is why I need the libraries. In one case, a desktop system running Jaunty, when I execute, with sudo, the command to install ia32-libs, under both aptitude and apt-get, they return messages saying they can't find packages containing that.

    Under synaptic, searching for that doesn't return what I'm looking for (interestingly, another system - not the same hardware - also 64bit and running jaunty, does have the ia32-libs listed in synaptic).

    When I tried your advice with aptitude, this is what I got:
    v lsb-core-ia32 -
    v lsb-cxx-ia32 -
    v lsb-desktop-ia32 -
    v lsb-graphics-ia32 -
    v lsb-languages-ia32 -
    v lsb-multimedia-ia32 -
    v lsb-printing-ia32 -
    v lsb-qt4-ia32 -

    So, I'm befuddled. What repository does the package exist in? If it's under universe, my sources.list has that. It also had jaunty-security universe.

    Any other help?

    Mark

  9. #9
    Join Date
    Jun 2008
    Posts
    48
    Rep Power
    7

    Default

    Well, don't I feel stupid. It turns out jaunty was installed on this system, but it was the 32bit version instead of what should have been installed - the 64bit version.

    I'm going to correct this and then try reinstalling the zimbra desktop.

    Thanks for all the help.

    Mark

Similar Threads

  1. Unable to install zdesktop on Ubuntu (Jaunty Jackalope)
    By inspiredbylife in forum Installation Help
    Replies: 4
    Last Post: 08-28-2009, 03:36 PM
  2. Replies: 1
    Last Post: 11-26-2008, 09:00 AM
  3. Get emails out of zimbra or get it working again?
    By kingfeanor in forum Migration
    Replies: 9
    Last Post: 11-25-2008, 12:02 AM
  4. Zimbra Desktop fails to install on Ubuntu 8.04
    By xbalanque in forum Installation Help
    Replies: 10
    Last Post: 08-26-2008, 08:36 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •